#pragma once
#ifndef RAY_HPP
#define RAY_HPP 1
#include "pose.hpp"

namespace QOSM::Propagation{
    struct Ray{
        /// Unique triangle identifier that are intersected the ray, -1 is no intersection
        int id_triangle = -1;

        // [m] Origin of the ray (in global reference frame)
        Pose::Vec3 ori;

        // [-] Direction of the ray (unit vector, in global reference frame)
        Pose::Vec3 dir;
    };
}
#endif
